/*
 * Copyright 2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$Factory
 */
package org.apache.beehive.wsm.model;

import javax.jws.WebParam;
import javax.xml.namespace.QName;

/**
 * @author Daryoush
 */
public interface BeehiveWsParameterMetadata {
    
    boolean isWpHeader();
    void setWpHeader(boolean wpHeader);
    
    WebParam.Mode getWpMode();
    void setWpMode(WebParam.Mode wpMode);
    
    String getWpName();
    void setWpName(String wpName);
    
    String getWpTargetNamespace();
    void setWpTargetNamespace(String wpTargetNamespace);
    
    Class getJavaType();
    void setJavaType(Class javaType);
    String getJavaTypeFullName();   // this should be moved to web service elementtype later.

    QName getXmlType();
    void setXmlType(QName xmlType);
}
