/*
 * Copyright 2005 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.wsm.model;

import javax.jws.soap.SOAPBinding;

/**
 * @author dmehrtash
 */
public interface BeehiveWsSOAPBindingInfo {
  /**
   * @return Returns the parameterStyle.
   */
  public abstract SOAPBinding.ParameterStyle getParameterStyle();

  /**
   * @param parameterStyle The parameterStyle to set.
   */
  public abstract void setParameterStyle(
      SOAPBinding.ParameterStyle parameterStyle);

  /**
   * @return Returns the style.
   */
  public abstract SOAPBinding.Style getStyle();

  /**
   * @param style The style to set.
   */
  public abstract void setStyle(SOAPBinding.Style style);

  /**
   * @return Returns the use.
   */
  public abstract SOAPBinding.Use getUse();

  /**
   * @param use The use to set.
   */
  public abstract void setUse(SOAPBinding.Use use);
}
