package org.apache.beehive.wsm.axis.security;

/*
 * DropInDeploymentHandler.java
 *
 * Copyright 2001-2004 The Apache Software Foundation.
 *
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

import java.util.Collection;

public interface UserList {

    public void addUser ( User user );

    public User getUser ( String name );

    public Collection<User> getUsers ();


    public void addGroup ( Group user );

    public Group getGroup ( String name );

    public Collection<Group> getGroups();


    public void addRole ( Role role );

    public Role getRole ( String role );

    public Collection<Role> getRoles ();

}

