/*
 * Copyright 2005 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.wsm.model;

import java.util.Collection;

/**
 * @author dmehrtash
 */
public interface BeehiveWsSecurityRolesInfo {
  /**
   * @return Returns the wrRolesAllowed.
   */
  public abstract Collection<String> getRolesAllowed();

  public abstract void addRolesAllowed(String role);

  public abstract void addRolesAllowed(Collection<String> roles);

  /**
   * @return Returns the RolesReferenced.
   */
  public abstract Collection<String> getRolesReferenced();

  public abstract void addRolesReferenced(String role);

  public abstract void addRolesReferenced(Collection<String> roles);
}
